Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface AvailabilityServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface AvailabilityServiceConfig
extends ConfigElement, PropertiesAccess, Container

Configuration for the <availability-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`EJBContainerAvailabilityConfig` | `createEJBContainerAvailabilityConfig(java.util.Map params)` Creates an ejb-container-availability element.
`WebContainerAvailabilityConfig` | `createWebContainerAvailabilityConfig(java.util.Map params)` Creates a web-container-availability element
`boolean` | `getAvailabilityEnabled()`
`EJBContainerAvailabilityConfig` | `getEJBContainerAvailabilityConfig()` Get the EJBContainerAvailabilityConfig MBean.
`java.lang.String` | `getStorePoolName()`
`WebContainerAvailabilityConfig` | `getWebContainerAvailabilityConfig()` Get the WebContainerAvailabilityConfig MBean.
`void` | `removeEJBContainerAvailabilityConfig()` Removes ejb-container-availability element from the config.
`void` | `removeWebContainerAvailabilityConfig()` Removes web-container-availability element from the config.
`void` | `setAvailabilityEnabled(boolean enabled)`
`void` | `setStorePoolName(java.lang.String storePoolName)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### createEJBContainerAvailabilityConfig

    public EJBContainerAvailabilityConfig createEJBContainerAvailabilityConfig(java.util.Map params)

  Creates an ejb-container-availability element.

  Parameters:
    `params` -
  Returns:
    Returns a proxy to the EJBContainerAvailabilityConfig MBean
  See Also:
    `EJBContainerAvailabilityConfigKeys`

### removeEJBContainerAvailabilityConfig

    public void removeEJBContainerAvailabilityConfig()

  Removes ejb-container-availability element from the config.

### createWebContainerAvailabilityConfig

    public WebContainerAvailabilityConfig createWebContainerAvailabilityConfig(java.util.Map params)

  Creates a web-container-availability element

  Parameters:
    `params` -
  Returns:
    Returns a proxy to the WebContainerAvailabilityConfig MBean
  See Also:
    `WebContainerAvailabilityConfigKeys`

### removeWebContainerAvailabilityConfig

    public void removeWebContainerAvailabilityConfig()

  Removes web-container-availability element from the config.

### getAvailabilityEnabled

    public boolean getAvailabilityEnabled()

### setAvailabilityEnabled

    public void setAvailabilityEnabled(boolean enabled)

### getStorePoolName

    public java.lang.String getStorePoolName()

### setStorePoolName

    public void setStorePoolName(java.lang.String storePoolName)

### getEJBContainerAvailabilityConfig

    public EJBContainerAvailabilityConfig getEJBContainerAvailabilityConfig()

  Get the EJBContainerAvailabilityConfig MBean.

### getWebContainerAvailabilityConfig

    public WebContainerAvailabilityConfig getWebContainerAvailabilityConfig()

  Get the WebContainerAvailabilityConfig MBean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.